[med-svn] r2842 - trunk/packages/dicomscope/trunk/debian

malat-guest at alioth.debian.org malat-guest at alioth.debian.org
Tue Dec 23 13:39:10 UTC 2008


Author: malat-guest
Date: 2008-12-23 13:39:10 +0000 (Tue, 23 Dec 2008)
New Revision: 2842

Added:
   trunk/packages/dicomscope/trunk/debian/get-orig-source
Log:
adding get-orig-source

Added: trunk/packages/dicomscope/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/dicomscope/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/dicomscope/trunk/debian/get-orig-source	2008-12-23 13:39:10 UTC (rev 2842)
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+set -e
+set -x
+# ftp://dicom.offis.de/pub/dicom/offis/software/dscope/dscope351/dsgui351.zip
+URL=ftp://dicom.offis.de/pub/dicom/offis/software/dscope/dscope351/
+NAME=dsgui
+UVERSION=351
+UPSTREAMDIR="$NAME""$UVERSION"
+VERSION=3.5.1
+UPSTREAMZIP="$UPSTREAMDIR".zip
+
+
+TMPDIR=../tarballs
+mkdir -p "$TMPDIR"
+cd "$TMPDIR"
+
+if [ -e ${UPSTREAMZIP} ] ; then
+    echo "Using existing tarball ${UPSTREAMZIP}"
+else
+    wget --quiet ${URL}/${UPSTREAMZIP}
+fi
+
+DISTDIR=${NAME}-${VERSION}
+unzip "$UPSTREAMZIP"
+mv "$UPSTREAMDIR" "$DISTDIR"
+
+GZIP=-9 tar -czf "$NAME"_"$VERSION".orig.tar.gz "$DISTDIR"
+
+rm -rf "$NAME"-"$VERSION"


Property changes on: trunk/packages/dicomscope/trunk/debian/get-orig-source
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:mime-type
   + text/plain
Name: svn:eol-style
   + native




More information about the debian-med-commit mailing list